%include	/usr/lib/rpm/macros.perl
Summary:	File::Remove - remove files and directories
Summary(pl.UTF-8):	File::Remove - usuwanie plików i katalogów
Name:		perl-File-Remove
Version:	1.58
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/File-Remove-%{version}.tar.gz
# Source0-md5:	f2d3959c7a8982bbdd03bb27f8b76891
URL:		http://search.cpan.org/dist/File-Remove/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.36
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Cwd) >= 3.29
BuildRequires:	perl(File::Spec) >= 3.29
BuildRequires:	perl-Test-Simple >= 0.42
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Remove removes files and directories. It acts like rm for the
most part. Although unlink can be given a list of files it will not
remove directories. This module remedies that. It also accepts
wildcards, * and ?, as arguments for filenames.

%description -l pl.UTF-8
File::Remove usuwa pliki i katalogi. Działa w zasadzie jak rm.
Jednakże, funkcji unlink można przekazać tylko listę plików, nie usuwa
ona katalogów. Ten moduł ma na to lekarstwo. Akceptuje również
metaznaki: * i ? jako argumenty dla nazw plików.

%prep
%setup -q -n File-Remove-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/Remove.pm
%{_mandir}/man3/File::Remove.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-Remove.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ee04729
- up to 1.58

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 54fcad2
- updated to 1.57

* Wed May 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 8e4c805
- updated to 1.52
- removed obsolete ver patch

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 5675932
- up to 1.51

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 0608020
- Up to 1.49

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> a9e9512
- updated to 1.46
- added ver patch to workaround rpm vs perl version comparing

* Thu Dec 11 2008 radek <radek@pld-linux.org> bec0d53
- version 1.42

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> dd0525c
- up to 0.39; generic URL

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> 0b8888f
- updated to 0.38

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 999052e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6f0d9e7
- converted to UTF-8

* Wed Oct 25 2006 ankry <ankry@pld-linux.org> 5814897
- ver. 0.33

* Thu May 06 2004 ankry <ankry@pld-linux.org> 99e81a6
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 5a846fa
- summary/description/license fixes

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 9414da5
- spaces -> tab

* Tue Aug 26 2003 Paweł Gołaszewski <blues@pld-linux.org> bd97cd9
- release 9 - should be higher that in RA-branch

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> a7a789e
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> f3aa9d7
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 71b8917
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 0dfd145
- BR: perl-devel; do not BR: perl

